package com.steerinfo.ems.trmenergy.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TRmEnergy implements IBasePO<String> {
    /**
     * 能介代码(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介代码",required=false)
    private String id;

    /**
     * 名称(NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="名称",required=true)
    private String name;

    /**
     * 状态(STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String state;

    /**
     * 备注(REMARK,VARCHAR,60)
     */
    @ApiModelProperty(value="备注",required=true)
    private String remark;

    /**
     * 顺序(SEQNO,DECIMAL,4)
     */
    @ApiModelProperty(value="顺序",required=true)
    private Short seqno;

    /**
     * 能介类型(ENERGYTYPEID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介类型",required=true)
    private String energytypeid;

    /**
     * 标准计量单位(UNITID,VARCHAR,40)
     */
    @ApiModelProperty(value="标准计量单位",required=true)
    private String unitid;

    /**
     * 是否实绩介质(ISREAL,VARCHAR,1)
     */
    @ApiModelProperty(value="是否实绩介质",required=true)
    private String isreal;

    /**
     * 是否平衡表介质(ISBALANCE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否平衡表介质",required=true)
    private String isbalance;

    /**
     * 备用代码(BCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="备用代码",required=true)
    private String bcode;

    /**
     * 备用注释1(BDESC1,VARCHAR,60)
     */
    @ApiModelProperty(value="备用注释1",required=true)
    private String bdesc1;

    /**
     * 备用注释2(BDESC2,VARCHAR,100)
     */
    @ApiModelProperty(value="备用注释2",required=true)
    private String bdesc2;

    /**
     * 数据精度(DIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="数据精度",required=true)
    private Short digits;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Short getSeqno() {
        return seqno;
    }

    public void setSeqno(Short seqno) {
        this.seqno = seqno;
    }

    public String getEnergytypeid() {
        return energytypeid;
    }

    public void setEnergytypeid(String energytypeid) {
        this.energytypeid = energytypeid == null ? null : energytypeid.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getIsreal() {
        return isreal;
    }

    public void setIsreal(String isreal) {
        this.isreal = isreal == null ? null : isreal.trim();
    }

    public String getIsbalance() {
        return isbalance;
    }

    public void setIsbalance(String isbalance) {
        this.isbalance = isbalance == null ? null : isbalance.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    public Short getDigits() {
        return digits;
    }

    public void setDigits(Short digits) {
        this.digits = digits;
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", state=").append(state);
        sb.append(", remark=").append(remark);
        sb.append(", seqno=").append(seqno);
        sb.append(", energytypeid=").append(energytypeid);
        sb.append(", unitid=").append(unitid);
        sb.append(", isreal=").append(isreal);
        sb.append(", isbalance=").append(isbalance);
        sb.append(", bcode=").append(bcode);
        sb.append(", bdesc1=").append(bdesc1);
        sb.append(", bdesc2=").append(bdesc2);
        sb.append(", digits=").append(digits);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}